/*___________________general________________*/

/*note exceptionnelle home page*/

#important-message {
  border: solid 3px var(--brand-color);
  padding: 10px;
  border-radius: 10px;
}

/*style pour les notes de révision*/
.display-rev .rev-26_1 {
  background-color : var(--brand-color-020);
}

@media print {
  .display-rev .rev-26_1 {
    box-shadow:  inset 0 0 0 1000px rgba(0,0,0,0.2);
  }
}

body {
  font: var(--font-rel-size)/1 var(--stack);
  overflow-x: hidden;
  width: 100%;
  color: var(--body-text);
  background-color: var(--body-bg);
}

a {
  text-decoration: none;
  color: var(--brand-color-darker);
}

a[target="_blank"] {position: relative;}

a[target="_blank"]::after {display: none;}

a[target="_blank"]:focus::after, a[target="_blank"]:hover::after {
  content: "Ouvre un nouvel onglet";
  display: inline-block;
  overflow: hidden;
  height: 0.8em;
  width: 0.8em;
  text-indent: -9999px;
  background: url("../img/ic-blank.svg");
  margin-left: 0.3em;
}

h1#site-id:focus {background-color: #C00}

h2 {
  font: calc(1em + 1.5vw) var(--stack-b);
  letter-spacing: -0.035em;
  font-weight: normal;
  padding: 0.2em 0px;
}

h3, h4, h5, h6 {
  position: relative;
  font-family: var(--stack-b);
  font-weight: normal;
  margin-top: 1em;
}

p, li, dt, dd {
  font-size: 0.95em;
}


li p, li li, li dt, li dd {
  font-size: 100%;
}

strong, b {
  font-family: var(--stack-b);
  font-weight: normal;
}
em, i {
  font-family: var(--stack-i);
  font-style: normal;
}

button {
  font-family: var(--stack);
  cursor: pointer;
  border: none;
  border-radius: var(--radius);
}

img {
  max-width: 100%;
}

code {
  display: inline-block;
  font-family: Consolas, Monaco, 'Andale Mono', 'Ubuntu Mono', monospace;
  color: var(--code-color);
  background-color: var(--code-bg-color);
  padding: 0 0.5em
}

ul[class],
ol[class] {
  list-style: none;
}

.sr-only {
    position: absolute;
    overflow: hidden;
    left: -9999px;
    width: 1px;
    height: 1px;
}

div.logo-zone a.sr-only:focus {
  position: static;
  overflow: visible;
  width: auto;
  height: auto;
  padding: 1em;
  margin: 1em 0;
  border: 1px dotted var(--nav-text-color);
}

a code:hover, a code:focus {
  text-decoration: underline;
}

/* table */
table {
  word-break: break-all;
  margin-bottom: 1em;
  width: 100%;
  font-size: 0.9em;
  vertical-align: top;
  border-spacing: 1rem;
  orphans: 3;
  widows: 3;
}

#changelog-table {
  max-width: 1000px;
};

table code {
  word-break: break-all;
}

table td {
  vertical-align: top;
  min-width: 10%;
  word-break: keep-all;
}

table th[scope="row"] {
  min-width: 10%;
}

table img {
  min-width: 2em;
}

table.too-long thead {
  display: none;
}

table.too-long td {
  display: block;
}

table.too-long td:first-of-type {
  font-size: 1.1em;
  font-family: var(--stack-b);
}

thead {
  font-family: var(--stack-b);
  text-align: left;
}

thead tr {
  border-top: none;
}

tr {
  border: solid 1px var(--grey-color);
  border-width: 1px 0;
}

td, th {
  padding: 0.5em;
  text-align: left;
}

td.green, td.red {
  -webkit-print-color-adjust: exact !important;
  color-adjust: exact !important;
  background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='24' height='20' viewBox='0 0 24 20'%3E%3Cg transform='translate(-10872 -1715)'%3E%3Cg transform='translate(9669.303 909.5)'%3E%3Cpath d='M7.2,7.024,12,12' transform='translate(1200.5 808.5)' fill='none' stroke='%233C827A' stroke-linecap='round' stroke-width='2'/%3E%3Cline x1='10' y2='10' transform='translate(1212.5 810.5)' fill='none' stroke='%233C827A' stroke-linecap='round' stroke-width='2'/%3E%3C/g%3E%3Crect width='24' height='20' transform='translate(10872 1715)' fill='none'/%3E%3C/g%3E%3C/svg%3E%0A");
  background-repeat: no-repeat;
  background-position: center;
  background-size: 1.5em;
}

td.red {
  -webkit-print-color-adjust: exact !important;
  color-adjust: exact !important;
  background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='24' height='20' viewBox='0 0 24 20'%3E%3Cg transform='translate(-10872 -1715)'%3E%3Crect width='24' height='20' transform='translate(10872 1715)' fill='none'/%3E%3Cg transform='translate(9665.5 910.5)'%3E%3Cline x2='12' y2='12' transform='translate(1212.5 808.5)' fill='none' stroke='%23C15266' stroke-linecap='round' stroke-width='2'/%3E%3Cline x1='12' y2='12' transform='translate(1212.5 808.5)' fill='none' stroke='%23C15266' stroke-linecap='round' stroke-width='2'/%3E%3C/g%3E%3C/g%3E%3C/svg%3E%0A");
}

td.green *, td.red * {
  position: absolute;
  left: -9999px;
}

thead th {
  position: sticky;
  vertical-align: middle;
  background-color: var(--table-header-color);
  text-align: center;
  z-index: 1;
}

.data td {
  text-align: center;
}

.data tbody tr {
  outline: solid 1px #FFF;
}

.data tbody tr:hover {
  outline: solid 1px var(--brand-color-020);
}

.data td, .data th {
  padding: 1em 0.5em;
}

.data thead th:nth-child(1) {
  width: 40%;
  text-align: left;
}

.data thead th {
  background-color: #FFF;
  text-align: center;
  color: var(--brand-color-darker);
  border-bottom: solid 1px var(--brand-color-020);
}

.data a:hover, .data a:focus {
  text-decoration: underline;
}

.data td a[target="_blank"]::after {
  content: "Dans un nouvel onglet";
  display: inline-block;
  height: 0.8em;
  width: 0.8em;
  background: url("../img/ic-blank.svg");
  overflow: hidden;
  text-indent: -9999px;
}

.data td:first-child {
  text-align: left;
}

  table code {
    word-break: normal;
  }

/* !!!!!!!!! MAX-WIDTH (only for tables) */
@media screen and (max-width: 1400px) {
  table.responsive {word-break: keep-all;}
  table.responsive thead {
    position: absolute;
    clip: rect(1px 1px 1px 1px);
    clip: rect(1px, 1px, 1px, 1px);
    clip-path: inset(50%);
    padding: 0;
    border: 0;
    height: 1px;
    width: 1px;
    overflow: hidden;
    white-space: nowrap;
  }
  table.responsive tr, table.responsive td {
    display: block;
  }
  table.responsive tr {
    padding-top: 1rem;
    margin-top: 1rem;
    border: none;
    border-top: 1px solid var(--grey-color);
  }
  table.responsive td {padding: 0;}
  table.responsive td + td {padding-top: 1rem;}
  table.responsive td::before {
    display: block;
    content: attr(data-col);
    font-family:  var(--stack-b);
  }
  table.responsive .doc-content ul:not([class]) {
    margin: 0.5em 0 0.5em 1em;
  }
}

/*-fieldset-*/
fieldset {
  border: none;
  padding: 0;
  margin: 0;
}

/*-radio-button-container-
.radio-button-container input {
  position: absolute;
  left: -9999px;
}

.radio-button-container label {
  margin-right: 0.5em;
  padding: 0.15em 0.5em;
  background-color: #FFF;
  border: solid 1px var(--brand-color-darker);
  border-radius: var(--radius);
}

.radio-button-container input:checked+label {
  color: #FFF;
  background-color: var(--brand-color-darker)
}*/

.radio-button-container button {
  padding: 0.2em 0.5em 0.1em;
  margin-right: 0.5em;
  border-radius: var(--radius);
}
#feedback, #changelog-button {
  color: var(--body-bg);
  background-color: var(--tip-color);
  border: solid 1px var(--tip-color);
  font-weight: 200;
}

/*-two-col-*/
.two-col {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(250px, 1fr));
  justify-content: center;
  gap: 1em;
}

.two-col > * {}

@media screen and (min-width: 1000px) {
  .two-col {
    grid-template-columns: repeat(2, 1fr);
  }
}

/*-toogle-link-*/
ul.toogle-link {
  display: flex;
  list-style-type: none;
  margin: 0.5em 1rem;
}

.toogle-link a {
  display: block;
  padding: 0.25em 0.5em;
  background-color: #FFF;
  color: var(--dark-color);
  border: solid 1px var(--dark-color);
}
.toogle-link a:focus {
  outline: 2px dotted var(--dark-color);
}

.toogle-link a[aria-current="true"] {
  color: var(--brand-color);
  background: var(--dark-color);
}

.toogle-link li:first-of-type a {
  border-radius: var(--radius) 0 0 var(--radius);
}

.toogle-link li:last-of-type a {
  border-radius: 0 var(--radius) var(--radius) 0;
}

/*-items lists-*/
.document-list > li, .notes-list > li, .comm-list > li, .demo-list > li {
  position: relative;
  max-width: 800px;
  background-color: #FFF;
  padding: 1em 1em 0.5em;
  margin-bottom: 1em;
  box-shadow: var(--shadow);
}

.document-list li h4, .notes-list li h4, .comm-list li h4, .document-list li h3, .notes-list li h3, .comm-list li h3, .demo-list li h3, .demo-list li h4 {
  margin-top: 0.25em;
  font-size: 1.1em;
}

.document-list li p, .notes-list li p, .comm-list li p, .demo-list li p {
  font-size: 0.85em;
  margin-bottom: 0.5em;
  word-break: break-word;
}

.document-list>li>a, .notes-list li a, .comm-list li a {
  position: absolute;
  width: 100%;
  height: 100%;
  overflow: hidden;
  top: 0;
  left: 0;
  text-indent: -999px;
}

.document-list li a:hover,
.document-list li a:focus,
.notes-list li a:hover,
.notes-list li a:focus,
.comm-list li a:hover,
.comm-list li a:focus {
  border: solid 2px;
  border-radius: 0.2rem;
}

.document-list .tag-list, .notes-list .tag-list, .comm-list li .tag-list {
  margin-bottom: 0.25em;
}

/*-demos-list-*/
.demo-list {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(250px, 1fr));
  justify-content: center;
  gap: 1rem;
}
div.doc-content .demo-list li {
  position: relative;
  margin: 0;
}

.demo-list img {
  margin: auto;
  width: 100%;
  height: 10em;
  object-fit: contain;
  margin-bottom: 0.5em;
  border: solid 1px rgba(0, 0, 0, 0.25);
}

.demo-list a[target="_blank"] {
  position: static;
  display: block;
  overflow: hidden;
  width: 1px;
  height: 1px;
  text-indent: -50em;
}

.demo-list a[target="_blank"]::after {
  display: block;
  position: absolute;
  content: "";
  width: 100%;
  height: 100%;
  top: 0;
  left: 0;
}

.demo-list a[target="_blank"]:focus::after,
  .demo-list a[target="_blank"]:hover::after {
    background-image: none;
      outline: 2px solid var(--brand-color-darker);
  }


/*-breadcrumb-*/
.breadcrumb {
  font-size: 0.75rem;
  padding-top: 0.4em;
}

.breadcrumb li {
  position: relative;
  display: inline-block;
}

.breadcrumb li+li {
  margin-left: 1rem;
}

.breadcrumb li+li:before {
  content: ">";
  position: absolute;
  left: -0.75rem;
  color: var(--brand-color-darker);
}

.breadcrumb a, .breadcrumb span {
  color: var(--brand-color-darker);
}

.breadcrumb a {
  text-decoration: underline;
}

/* No browser message */
div.browser-alert {
  text-align: center;
  margin: 10vh auto;
}
div.browser-alert h1 {margin: 1em auto;}

/*-tag-list-*/
ul.tag-list {
  display: flex;
  flex-wrap: wrap;
}

.tag-list li {
  position: relative;
  font-size: 0.8rem;
  padding-left: 0.5em;
  margin: 0.5em;
  margin-left: 0;
}

.tag-list li:before {
  content: "";
  position: absolute;
  height: 100%;
  width: 1px;
  background: var(--brand-color-darker);
  left: 0;
}

/*-dropdown-*/
.dropdown-container {
  position: relative;
}

button[aria-expanded="false"]+.dropdown {
  display: none;
}

.dropdown {
  display: block;
  position: absolute;
  right: 0;
  white-space: nowrap;
  color: var(--dark-color);
  padding: 0.5em;
  border: solid 1px var(--brand-color-darker);
  font-size: .9rem;
  background-color: #FFF;
  z-index: 3;
}

.dropdown-container .dropdown a, .dropdown-container .dropdown button {
  width: auto;
  height: auto;
  padding: 0.25em;
}

/*-panel-*/
button[aria-expanded="false"]+.panel {
  display: none;
}

/*-action-zone-*/
.action-zone {
  display: flex;
  align-items: center;
}

.action-zone>li {
  margin-bottom: 0;
}

.action-zone button {
  background-color: rgba(0, 0, 0, 0);
  border: none;
  height: 2em;
  width: 2em;
  cursor: pointer;
  padding: 0;
}

.action-zone button img {
  padding: 0;
  margin: 0;
}

.action-zone>*+* {
  margin-left: 0.5em;
}

/*-multimedia-container-*/
.img-container .action-zone li {
  margin-bottom: 0;
}

.code-container, .img-container, .video-container {
  box-shadow: var(--shadow);
  position: relative;
  margin-bottom: 1em;
}

.img-container, .video-container {
  display: inline-block;
}

.code-container .action-zone, .img-container .action-zone, .video-container .action-zone {
  position: absolute;
  top: 0;
  right: 0;
  display: flex;
}

.code-container .action-zone button,
.code-container .action-zone a,
.img-container .action-zone button,
.img-container .action-zone a,
.video-container .action-zone button,
.video-container .action-zone a {
  display: block;
  padding: 0;
  margin: 0;
  height: 2em;
  width: 2em;
}

.img-container .action-zone {
  background: rgba(0, 0, 0, 0.8);
  border-radius: var(--radius);
  opacity: 0.5;
}

.img-container .action-zone:hover {
  opacity: 1;
}

.img-container [data-src] {
  position: absolute;
  left: -9999px;
}

.img-container .action-zone > * + * {
  margin-left: 0;
}

@media screen and (min-width: 750px) {
  .img-container [data-src] {
    position: static;
    left: auto;
  }

  .img-container .action-zone > * + * {
    margin-left: 0.5em;
  }
}

/*-tooltip-*/
.with-tooltip {
  position: relative;
  display: inline-block;
}

*[role="tooltip"] {
  position: absolute;
  right: 99999px;
  color: var(--dark-color);
  padding: 0.5em;
  border: solid 1px var(--brand-color-darker);
  font-size: .9rem;
  background-color: #FFF;
  z-index: 3;
  width : fit-content;
  min-width : 250px;
  max-width : 400px;
}

.doc-content *[role="tooltip"] dl ul{
  margin-bottom : 0;
}

.with-tooltip:hover [role="tooltip"], .with-tooltip:focus [role="tooltip"],
.with-tooltip:hover+[role="tooltip"], .with-tooltip:focus+[role="tooltip"] {
  position: absolute;
  right: 0;
}

@media screen and (min-width : 1200px) {
  *[role="tooltip"] {
    transform: translateX(50%);
  }

  .with-tooltip:hover [role="tooltip"], .with-tooltip:focus [role="tooltip"],
  .with-tooltip:hover+[role="tooltip"], .with-tooltip:focus+[role="tooltip"] {
    right: 25%;
  }
}

/*-note-*/
*[class*="note_"]:not(.note__title) {
  color: var(--body-text);
  border-left: solid 4px currentColor;
  padding: 0.5em;
  margin-bottom: 1em;
  position: relative;
}

*[class*="note_"]:not(.note__title)::before {
  content: "";
  top :0;
  left :0;
  display: block;
  position: absolute;
  width: 100%;
  height: 100%;
  background-color: currentColor;
  opacity: 0.1;
}

*[class*="note_"].attention {
  color: var(--attention-color);
}

*[class*="note_"].tip {
  color: var(--tip-color);
}

.note__title {
  font-family: var(--stack-b);
}

/*___________________header________________*/
header {
  background-color: var(--header-color);
  color: #000;
  display: flex;
  flex-direction: column;
  box-shadow: var(--shadow);
}

header abbr {
  text-decoration: none;
}

h1 {
  width: 65%;
  max-width: 250px;
  font: 800 1.3em var(--stack-b);
}
p.release-version {
  font-size: 0.8em;
  margin-top: 1em;
  color: var(--release-color);
}

.logo-zone {
  display: flex;
  flex-direction: column;
  justify-content: center;
  background-color: var(--logo-bg-color);
  color: #FFF;
  padding: 0.5rem 1.05rem;
}

.logo-zone a {
display: block;
  color: #FFF;
}

.logo-zone img {
  max-height: 60px;
  vertical-align: bottom;
}

header nav ul {
  list-style-type: none;
}

header nav li + li {
  margin-left: 1.5em;
}

header nav a {
  color: #000;
}

#search-link {
  display: block;
  padding: 1.5em 1.5em 0.55em 0.5em;
  color: var(--dark-color);
  background-color: #FFF;
  border: solid 1px rgb(195, 195, 195);
  background-image: url("../img/ic-search.svg");
  background-repeat: no-repeat;
  background-position: right center;
  border-radius: 100%;
}

#search-link span {
  position: absolute;
  left: -9999px;
}

#search-link:focus {
  outline: 2px dotted var(--dark-color);
}

@media screen and (min-width: 750px) {
  header {
    flex-direction: row;
    align-items: center;
    justify-content: flex-end;
    padding: 1.25em;
  }

  .logo-zone {
    position: fixed;
    width: 300px;
    min-height: 5.1em;
    top: 0;
    left: 0;
    border-right: var(--nav-color) solid 1px;
    z-index: 4;
  }

  div.intro-text > div > p {
    font-size: 1.2em;
  }
}

@media screen and (min-width : 1000px) {
  header {
    padding: 0;
  }

  header nav {
    flex-grow: 1;
    margin-left: calc(300px + 2rem);
    padding: 2em 0;
  }

  header nav ul {
    display: flex;
  }
}

/*___________________main-nav________________*/
#main-nav {
  background-color: var(--nav-color);
}

#back-btn {
  display: block;
  color: var(--nav-text-color);
  font-size: 0.9em;
  padding: 0.6em 0.5em 0.6em 2.55em;
  background-image: var(--back-arrow);
  background-repeat: no-repeat;
  background-position: 0.75rem center;
  border: solid 1px #707070;
  border-width: 1px 0;
}

#nav-title {
  display: block;
  padding: 0.75em 0.5em 0.5em 1rem;
  color: var(--nav-text-color);
  text-transform: uppercase;
}

ul.nav-items-list {
  font-size: 0.95em;
  margin-left: 1rem;
  margin-top: 0.5rem;
  border-left: solid 4px #FFF;
}

.nav-items-list a {
  display: block;
  margin: 0.5em;
  margin-left: -4px;
  padding: 0.5em;
  padding-left: 0.75rem;
  border-left: solid 4px #FFF;
  color: var(--nav-text-color);
  text-overflow: ellipsis;
  white-space: nowrap;
  overflow: hidden;
}

.nav-items-list a:hover, .nav-items-list a:focus {
  border-color: var(--brand-color);
  text-decoration: underline;
}

.nav-items-list a[aria-current="page"] {
  color: var(--brand-color);
  border-color: var(--brand-color);
  font-family: var(--stack-b);
  text-decoration: none;
}

/*_________________main___________________*/
main {
  padding: 1rem;
  min-height: 80vh;
}

.heading-zone {
  position: relative;
}

#reading-progress {
  width: 100%;
  height: 4px;
  background: var(--brand-color-020);
  position: relative;
}

#progress-bar {
  position: absolute;
  background-color: var(--brand-color);
  height: 100%;
  width: 100%;
  top: 0;
  left: 0;
}

.title-zone {
  display: flex;
  justify-content: space-between;
}

.feedback-zone {
  display: none;
  position: relative;
}
.no-tag {
   padding-top: 0.5em;
}
.yes-tag {
   padding-top: 1.7em;
}

.feedback-zone::after {
  content: "";
  position: absolute;
  bottom: 0;
  left: 0;
  width: 100%;
  height: 4px;
  background-color: var(--brand-color);
}

#feedback-question legend {
  font: 0.95em/1.2 var(--stack-b);
  color: var(--dark-color);
  margin-bottom: 0.35em;
}

#feedback-question p {
  margin-top: 0.4em;
}

label[for="feedback-yes"] {
  color: #000;
  border-color: var(--pos-color);
  background: var(--pos-color);
  cursor: pointer;
}

label[for="feedback-no"] {
  border-color: var(--neg-color);
  background: var(--neg-color);
  cursor: pointer;
}

#feedback-answer {display: none;}
  #feedback-answer p {
    font-size: 0.8em;
    line-height: 1.3;
  }

.search-in-page-form {
  position: relative;
}

#search-in-page {
  position: absolute;
  width: 0;
  height: 2.75em;
  overflow: hidden;
  font-size : 0.8em;
  background-color: #FFF;
  z-index : 10;
  top : -0.25em;
  right : 2em;

}

.search-in-page-form button:focus + #search-in-page, .search-in-page-form button:hover + #search-in-page {
  width: 20em;
  max-width : 80vw;
  transition: width 0.25s ease;
  padding : 0.25em;
  border : solid 1px var(--brand-color-darker);
}

.search-in-page-form button {
  height: 2em;
  width: 2em;
  overflow: hidden;
  text-indent: -999px;
  background-image: url("../img/ic-search.svg");
  background-repeat: no-repeat;
  display: inline-block;
  background-size: 1.5em;
  background-position: center;
  cursor: pointer;
}

.doc-content {
  margin-top: 1em;
}

.doc-content h3,
.doc-content h4,
.doc-content h5,
.doc-content h6 {
  margin-top: 1.5em;
  margin-bottom: 1em;
  padding-right: 2em;
}

.doc-content a {text-decoration: underline;}
.doc-content a:hover {text-decoration: none;}

.doc-content h4,
.doc-content h5,
.doc-content h6 {
  margin-top: 1.5em;
  margin-bottom: 1em;
}

.doc-content h3>*,
.doc-content h4>*,
.doc-content h5>*,
.doc-content h6>* {
  display: inline;
}

.intro-text {
  margin-top: 1.5em;
}

.intro-text p {
  margin-bottom: 1em;
}

.doc-content h3 {
  font-size: 2em;
  font-family: var(--stack-b);
}

h3 .copy-anchor,
h4 .copy-anchor,
h5 .copy-anchor,
h6 .copy-anchor {
  position: absolute;
  left: -9999px;
  background-color: rgba(0, 0, 0, 0);
  border: none;
  padding: 0;
  margin-left: 0;
  width: 2.5em;
}

h3:hover .copy-anchor, h3 .copy-anchor:focus,
h4:hover .copy-anchor, h4 .copy-anchor:focus,
h5:hover .copy-anchor, h5 .copy-anchor:focus,
h6:hover .copy-anchor, h6 .copy-anchor:focus {
  position: absolute;
  left: auto;
  right: 0;
  top: -0.4em;
}

h3:hover .copy-anchor, h3 .copy-anchor:focus {
  top: 0.2em;
}

@media screen and (min-width : 1200px) {

  h3:hover .copy-anchor, h3 .copy-anchor:focus,
  h4:hover .copy-anchor, h4 .copy-anchor:focus,
  h5:hover .copy-anchor, h5 .copy-anchor:focus,
  h6:hover .copy-anchor, h6 .copy-anchor:focus {
    left: -2.4em;
    right: auto;
  }
}

.accueil h2 {
  padding-top: 1em;
}

.accueil .intro-text {
  display: flex;
}

/* Home entry options */

div.entry-options div {
  position: relative;
  color: var(--body-color);
  background-color: var(--l-grey-color);
  padding: 1rem;
}
div.entry-options div + div {margin-top: 1rem;}

  div.entry-options h3 {margin: 0 0 0.25em;}
  div.entry-options a::after {
    display: block;
    position: absolute;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    content: "";
  }

/* Doc content */

.doc-content h4, .accueil h3 {
  font-size: 1.3em;
}

.doc-content h5 {
  font-size: 1.1em;
}

.doc-content h3+section h4,
.doc-content h4+section h5,
.doc-content h5+section h6 {
  margin-top: 0;
}

.doc-content .reco-doc h3 {
  font-family: var(--stack-b);
  font-size: 1.3em;
  margin-bottom: 0.5em;
}

.reco-level {
  float: right;
  font-size: 0.9em;
}

.reco-level span {
  border-radius: var(--radius);
  display: block;
  padding: .15em .25em;
}

.recommended {
  background-color: var(--brand-color-darker);
  color: #FFF;
}

.optionnal {
  border: solid 1px currentColor;
  color: var(--brand-color-darker)
}

.doc-content * {
  line-height: 1.45;
}

.doc-content p {
  margin-bottom: 1em;
}

.doc-content ul:not([class]),
.doc-content ol:not([class]),
.doc-content ul[class*="rev-"],
.doc-content ol[class*="rev-"] {
  list-style-type: disc;
  margin: 1em 0 1em 1.5em;
}

.doc-content ul:not([class]) ul:not([class]),
.doc-content ol:not([class]) ul:not([class]),
.doc-content ul[class*="rev-"] ul[class*="rev-"],
.doc-content ol[class*="rev-"] ul[class*="rev-"] {
  list-style-type: circle;
}

.doc-content ol:not([class]),
.doc-content ol[class*="rev-"] {
  list-style-type: decimal;
}

.doc-content ul:not([class]) ol:not([class]),
.doc-content ol:not([class]) ol:not([class]),
.doc-content ul[class*="rev-"] ol[class*="rev-"],
.doc-content ol[class*="rev-"] ol[class*="rev-"] {
  list-style-type:  decimal;
}

.doc-content li {
  margin-bottom: 0.5em;
}

.doc-content img {
  vertical-align: middle;
}

.accueil-img {
  display: none;
}

/*-tabs-*/
ul.tabs {
  display: flex;
  padding: 0.5em;
  font-size: 1em;
}

.tabs li {
  margin-right: 1em;
}

.tabs a {
  display: block;
  color: var(--dark-color);
  text-decoration: none;
  padding: 0.5em 1em;
  border-bottom: solid 4px #FFF;
}

.tabs a[aria-selected="true"] {
  font-family: var(--stack-b);
  border-color: var(--brand-color);
}

/* ----------- NEWS ------------ */

div.news + div.news {
  padding-top: 1rem;
  margin-top: 1rem;
  border-top: 1px solid var(--grey-color);
}
  div.news p {
    margin-bottom: 0.35em;
  }

/*------urls list------*/
.urls-list li {
  display: flex;
  margin-bottom: 0.5em;
}

.urls-list dl {
  display: flex;
  flex-wrap: wrap;
}

.urls-list .url-title {
  width: 100%;
  order: 1;
  font-family: var(--stack-b);
  padding: 0.25em;
}

.urls-list .url-title+dd {
  order: 3;
  display: flex;
}

.urls-list code {
  padding: 0.2em 1em;
}

.urls-list button {
  padding: 0;
  width: 2em;
  background: var(--grey-color);
  border: none;
  border-radius: 0 var(--radius) var(--radius) 0;
}

.urls-list .url-methode {
  position: absolute;
  left: -9999px;
}

.urls-list .url-methode+dd {
  order: 2;
  padding: 0.25em 0.5em;
  background-color: var(--pos-color);
  border-radius: var(--radius) 0 0 var(--radius)
}

.content-header {
  position: -webkit-sticky;
  position: sticky;
  top: 0;
  display: flex;
  background-color: #FFF;
  z-index: 2;
}

.content-header>* {
  flex-grow: 1;
}

.content-header::after, .content-header::before {
  position: absolute;
  content: "";
  height: 100%;
  width: 1em;
  top: 0;
  left: -1em;
  background-color: #FFF;
}

.content-header::before {
  left: auto;
  right: -1em;
}

#page-summary {
  align-self: flex-start;
  padding: .5em;
}

#page-summary a {text-decoration: none;}

#page-summary h3 {
  font-size: 1em;
  color: var(--brand-color-darker);
  text-transform: uppercase;
  font-family: var(--stack-b);
}

#toogle-summary {
  display: none;
  position: absolute;
  right: 0;
  top: 1.15em;
  border: none;
  background: rgba(0, 0, 0, 0);
  padding: 0;
}

#page-summary ul {
  list-style-type: none;
  padding: 0;
  margin-left: 0;
  margin-right: 0;
}

#page-summary>ul {
  font-size: 1em;
}

#page-summary details ul {
  margin-left: 0.5em;
  padding-left: 0.75em;
  border-left: solid 2px var(--brand-color-020);
}

#page-summary li>a {
  margin-left: 1.25em;
}

summary {
  list-style-type: none;
  position: relative;
  padding-left: 1.25em;
  cursor: pointer;
}

#page-summary ul ul {
  font-size: 0.9em;
}

div.doc-content.faq details {
  box-sizing: border-box;
  border: 4px solid #FFF;
  transition: all 0.1s;
}

div.doc-content.faq details[open] {
  border-color: var(--brand-color);
}

summary::-webkit-details-marker {
  display: none;
}

summary h3, .doc-content summary h3 {
  font-size: 1.3em;
  line-height: 1.3;
  margin: 0;
}

summary::before {
  content: "";
  position: absolute;
  height: 1rem;
  width: 1rem;
  background-image: url("../img/ic-summary-indicator.svg");
  top: 0.45em;
  left: 0;
  transform: rotate(-90deg);
  transition: transform 0.5s ease;
}

details[open]>summary::before {
  transform: rotate(0);
}

#page-summary a {
  padding: 0.25em 0;
  display: inline-block;
  color: var(--dark-color);
}

#page-summary a[aria-current="true"], a[aria-selected="true"] {
  font-family: var(--stack-b);
}

@media screen and (min-width: 750px) {
  main {
    margin-left: 300px;
    padding: 2rem;
  }
}

@media screen and (min-width: 1000px) {
  .heading-zone {
    display: flex;
    flex-grow: 1;
    min-height: 5em;
    margin-right: 1em;
    flex-direction: column;
    justify-content: space-between;
  }

  div.entry-options {
    display: flex;
    justify-content: space-between;
    margin-top: 2rem;
  }
  div.entry-options div {flex: 1;}
  div.entry-options div + div {margin: 0 0 0 2rem;}

  div.intro-text p.picture {
    max-width: 270px;
    margin-left: 2rem;
  }

  .content.full-width {
    width: 100%;
    padding-right: 1em;
  }

  .with-sticky-code {
    display: flex;
    justify-content: space-between;
  }

  .with-sticky-code>* {
    flex-shrink: 1;
    flex-basis: 50%;
    max-width: calc(50% - 1em);
  }

  .sticky-code {
    align-self: flex-start;
    position: sticky;
    top: 0;
  }

  .intro-text {position: relative;}

  .accueil-img {
      display: block;
      margin-left: 5vw;
  }
    p.accueil-img img {max-height: 250px;}
}

@media screen and (min-width:1200px) {
  main {
    padding: 2rem 0.5rem 2rem 2.5rem;
  }

  header nav {margin-left: calc(300px + 2.5rem);}

  div.intro-text p.picture {margin-left: 4rem;}

  .doc-content {
    display: flex;
  }

  .feedback-zone {
    display: block;
    width: 300px;
    flex-grow: 0;
    flex-shrink: 0;
  }

  #page-summary {
    order: 2;
    width: 300px;
    position: sticky;
    overflow-y: auto;
  }

  .content {
    width: calc(100% - 300px);
    padding-right: 1em;
  }

.message div.content {
  width: 90%;
  padding: 0;
  margin: 0 auto;
}

    h3:hover .copy-anchor, h3 .copy-anchor:focus,
    h4:hover .copy-anchor, h4 .copy-anchor:focus,
    h5:hover .copy-anchor, h5 .copy-anchor:focus,
    h6:hover .copy-anchor, h6 .copy-anchor:focus {
      left: -2.4em;
      right: auto;
  }
}

@media screen and (min-width : 1700px) {
  #page-summary {
    width: 500px;
    flex-shrink: 0;
  }

  .feedback-zone {
    width: 500px;
    flex-shrink: 0;
  }

  .content {
    width: calc(100% - 500px);
  }
}

.param-list li {
  position: relative;
  padding-bottom: 1em;
  margin-bottom: 0;
}

.param-list> li+li {
  border-top: solid 1px var(--grey-color);
}

.param-list h5 {
  font-size: 1em;
  font-family: var(--stack-b);
}

.param-list dl {
  margin: 0.5em;
}

.param-list dl div {
  display: flex;
  font-size: 0.9em;
  color: var(--brand-color-darker);
}

.param-list details {
  border-left: solid 2px var(--brand-color-020);
  padding-left: 0.5em;
}

.param-list>details dl div {
  padding-bottom: 0.5em;
  margin-left: 1em;
}

.param-list dt {
  font-family: var(--stack-b);
  margin-right: 0.25em;
}

.param-list .param-requirement {
  position: absolute;
  top: 1em;
  right: 0;
}

.param-list .param-requirement dt {
  position: absolute;
  left: -9999px;
}

.param-list .param-requirement dd {
  padding: 0.25em 0.5em;
  border-radius: var(--radius);
  border: solid 1px currentColor;
}

.param-list .required {
  color: #FFF;
  background-color: var(--brand-color-darker);
}

.param-list .optional {
  color: var(--brand-color-darker);
  background-color: #FFF;
}

.param-list p {
  margin-bottom: 1em;
  margin-left: 0.5em;
}

/*________________FAQ_______________________*/
.faq details {
  box-shadow: var(--shadow);
  margin-bottom: 2em;
  padding: 1em;
}

.faq summary+* {
  margin-top: 1em;
}

.faq details h4 {
  display: inline-block;
  margin-top: 0;
  margin-bottom: 0;
}

p.back {margin-bottom: 2rem;}

/*_________________footer___________________*/
footer {
  background: var(--grey-color);
  padding: 2em;
  padding-bottom: 7em;
}

footer ul {
  list-style-type: none;
}

footer ul li {
  margin-right: 1em;
  margin-bottom: 1em;
}

p.copyright {color: var(--dark-color);}

footer a {
  color: var(--dark-color);
}

footer a:hover,footer  a:focus {
  text-decoration: underline;
}

footer img {
  display: inline-block;
  max-width: 5em;
  margin-right: 0.5em;
}

@media screen and (min-width: 750px) {
  footer {
    margin-left: 300px;
    display: flex;
    justify-content: space-between;
    align-items: flex-start;
    padding-right: 7.2em;
  }
}

@media screen and (min-width : 1000px) {
  footer {
    padding-bottom: 4em;
  }

  footer>* {
    display: flex;
    flex-wrap: wrap;
  }
}

@media screen and (min-width:750px) {
  .copyright * {
    display: inline-block;
    color: var(--dark-color);
  }

  .copyright {
    flex-wrap: nowrap;
    white-space: nowrap;
    align-items: center;
  }
}

/*___________________search-modal______________*/
#search-modal {
  background-color: #FFF;
}

#search-modal div.overlay {display: none;}

#search-modal div.modal-content {
  width: 100%;
  max-width: 100%;
  top: -1rem;
  background-color: var(--brand-color);
}

.search-modal-header {
  padding: 1.25em;
  padding-right: 3.5em;
  background-color: var(--brand-color);
  position: relative;
}

.search-modal-header :focus {
  outline: 2px dotted var(--body-text);
}

#result-list b, #result-list a b, #result-list-faq b, #result-list-faq a b {
  color: var(--body-text);
  background-color: var(--pos-color);
}

#result-list h3 {margin-bottom: 1rem;}
#result-list p {line-height: 1.45;}

#search-btn {
  display: none;
  position: relative;
  max-width: 800px;
  margin: auto;
}

button.search-btn {
  width: 35px;
  padding: 0;
}

#img-modal .modal-content {
  text-align: center;
  width: fit-content;
  max-width: calc(100vw - 2em);
}

@media screen and (min-width : 1000px) {
  #search-btn {
    display: block;
  }
}

@media screen and (min-width : 1200px) {
  #search-link {
    padding: 0.55em 2.5em 0.55em 0.5em;
    border-radius: var(--radius);
  }

  #search-link span {
    position: static;
    left: auto;
  }
}

#search-form {
  position: relative;
  max-width: 800px;
  margin: auto;
}

#search-form label {
  position: absolute;
  right: 0.25em;
  top: 0.35em;
}

#search-form input {
  width: 100%;
  padding: 0.9em;
}

#search-loading-img,
#search-loading-img-faq {
  margin: auto;
  padding: 2em;
  max-width: 200px;
  width: 20%;
}

#result-list,
#result-list-faq,
#search-loading-img,
#search-loading-img-faq {
  display: none;
}

#result-list.active,
#result-list-faq.active,
#search-loading-img.active,
#search-loading-img-faq.active {
  display: block;
}

#result-list>li,
#result-list-faq>li {
  margin: 1em auto;
}

#result-container,
#result-container-faq {
  padding: 0 1em;
}

.nb-results, .nb-results-faq {
  margin: auto;
  max-width: 800px;
  padding-top: 1em;
  font-family: var(--stack-b);
}

body.modal-open, body.mobile-nav-open {
  overflow: hidden;
}

.modal-container {
  display: none;
  position: fixed;
  overflow: auto;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  z-index: 2000;
}
  .modal-container div.overlay {
    display: block;
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(255, 255, 255, 0.8);
  }

.modal-container.open {
  display: block;
}

.modal-content > .close-modal,
.search-modal-header .close-modal,
.close-overlay,
.close-message {
  position: absolute;
  right: 1em;
  top: 1em;
  border-radius: 100%;
  height: 2em;
  width: 2em;
}

.modal-content {
  position: relative;
  overflow: auto;
  width: 90%;
  max-width: 650px;
  max-height: 90vh;
  margin: 1em auto;
  padding: 1em;
  background-color: #FFF;
  box-shadow: var(--shadow);
  z-index: 2100;
}

.modal-content h2 {
  font-size: 1.8em;
  margin: 0 0 0.5em;
  padding: 0 2em 0.5em 0;
  border-bottom: 4px solid var(--brand-color);
}

.modal-content h3 {margin: 0 0 0.5em;}

.modal-content h4 {
  font-size: 0.9em;
}

.modal-content p {
  margin: .5em 0;
}

.modal-content .btn-zone {
  margin-top: 1em;
  display: flex;
  justify-content: space-between;
}

.editorial p, .editorial li {
  line-height: 1.45;
}
.editorial p + p, .editorial li + li {
  margin-top: 0.8em;
}

.editorial ul {
  margin: 1em;
  list-style: disc;
}

.floating-btns {
  position: fixed;
  bottom: 5em;
  right: 1em;
  z-index: 100;
}

@media screen and (min-width : 1000px) {
  .floating-btns {
    bottom: 1em;
  }
}

.floating-btns > a {
  display: inline-block;
  background-color: var(--brand-color-darker);
  border-radius: var(--radius);
}

a.back-top {
  background-color: var(--nav-color);
}

.overlay {
  display: none;
  position: absolute;
  bottom: 3.5em;
  right: 0;
  width: auto;
  padding: 1em;
  background-color: #FFF;
  box-shadow: var(--shadow);
}

.overlay.open {
  display: block;
}

.overlay h3 {
  margin: 0 2rem 1em 0;
}

.overlay .btns-container a {
  white-space: nowrap;
  padding: 0.5em;
  background-color: var(--brand-color-darker);
  color: #FFF;
  text-align: center;
  display: block;
  border-radius: var(--radius);
}

.close-overlay {
  display: block;
  width: 1em;
  height: 1em;
  text-align: center;
}

.overlay .btns-container a+a {
  margin-top: 1em;
}

@media screen and (min-width : 750px) {
  .overlay .btns-container {
    display: flex;
  }

  .overlay .btns-container a {
    margin-top: auto;
    margin-right: 1em;
  }

  .overlay .btns-container a:last-child {
    margin-right: 0;
  }
}

iframe[title="Messenger button"] {
  position: absolute;
  left: -99999px;
}

iframe[title="Message bubble"] {
  position: absolute;
  left: -99999px;
}

.message {
  display: none;
  font-size: 0.8em;
  position: fixed;
  bottom: 5em;
  width: 100%;
  background-color: var(--l-grey-color);
  border-top: solid 3px var(--brand-color);
  box-shadow: var(--shadow);
  padding: 1rem 1rem 3rem;
  z-index: 200;
}

.message div.group {padding-right: 3rem;}

.message.active {
  display: flex;
  flex-wrap: wrap;
}

.message .close-message {
  position: absolute;
  top: 1em;
  right: 1em;
}

.message p {
  line-height: 1.45;
  margin: auto;
}

.message .btn-zone {
  display: flex;
  flex-wrap: wrap;
  justify-content: space-between;
  gap: 0.5rem;
  white-space: nowrap;
  padding-top: 1em;
}

.btn-zone> * {
  display: block;
  font-size: 100%;
  padding: 0.5em;
  margin-right: 1em;
  background-color: var(--brand-color-darker);
  color: #FFF;
  line-height: 1.2;
  border-radius: var(--radius);
}

#cookies-form ul p {
  font-size: 0.8em;
}

#cookies p.btn-zone > * {
  box-sizing: border-box;
  width: 100%;
  text-align: center;
}

@media screen and (min-width : 1000px) {
  .message {
    bottom: 0;
  }

  .message.active {
    flex-wrap: nowrap;
    align-items: center;
  }

  .message .btn-zone {
    padding-top: 0;
    margin-left: 1em;
    justify-content: flex-end;
  }
}

.big-form {
  display: grid;
  align-items: center;
  justify-content: center;
  text-align: center;
  background: url("../img/faq.jpg");
  background-position: center;
  background-repeat: no-repeat;
  background-size: cover;
  aspect-ratio: 16/4;
}

.big-form p {
  display: flex;
  flex-wrap: wrap;
  align-items: center;
  gap: 0.5rem;
  color: #FFF;
  background: rgb(0, 0, 0, 0.8);
  padding: 1em;
  margin: 1em;
}
.big-form p label {line-height: 1;}

.big-form input {
  font-size: 1.2em;
}

ul.faq-list {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  gap: 1rem;
}

@media screen and (min-width: 1000px) {
  ul.faq-list li {
    flex-basis: 45%;
  }
}
@media screen and (min-width: 1400px) {
  ul.faq-list {justify-content: space-between;}
  ul.faq-list li {
    flex-basis: 32%;
  }
}

/* --- TOPICS -- */

div.topics {margin: 1rem 0;}
div.topics + div.topics {
  padding-top: 1rem;
  margin-top: 1rem;
  border-top: 1px solid var(--grey-color);
}

  div.topics > p {margin: 0;}
  div.topics h3 {
    font-size: 1.5em;
    line-height: 1.1;
    margin: 0.3em 0 0.5em;
  }


@media screen and (min-width: 420px) {
  div.topics {
    display: flex;
  }
  div.topics div.entry {flex: 1;}
  div.topics > p {
    margin: 0 2rem 0 0;
  }
  div.topics h3 {margin-top: 0;}
}

/* --- FAQ -- */

.faq-list > li {
  box-sizing: border-box;
  flex: 1 1 100%;
  box-shadow: var(--shadow);
  padding: 0 1em;
}

.faq-filter-container {
  display: flex;
  padding: 0.5em;
  gap: 1em;
  max-width: 800px;
  margin: auto;
}

.faq-filter-container > * {
  flex-grow: 1;
  text-align: center;
}

@media screen and (min-width: 750px) {
  .faq-list > li {flex-basis: 45%;}
}

#mobile-nav {
  position: fixed;
  z-index: 6;
  bottom: 0;
  right: 0;
  width: 100%;
  background-color: #FFF;
  box-shadow: var(--shadow);
  padding: 0;
}

#mobile-nav ul {
  display: flex;
}

#mobile-nav li {
  flex-basis: 25%;
  text-align: center;
  margin: 0.5em 0;
  position: relative;
}

#mobile-nav li a {
  display: block;
}

#mobile-nav a::after {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: rgb(0, 0, 0, 0);
}

.mobile-panel {
  display: none;
}

.mobile-panel.open {
  z-index: 5;
  display: block;
  position: fixed;
  height: 100vh;
  width: 100vw;
  top: 0;
  left: 0;
  background: var(--nav-color);
}

#mobile-nav .menu-btn {
  position: absolute;
  top: -50%;
  left: 50%;
  transform: translateX(-50%);
  background: var(--brand-color);
  margin: 0;
  border-radius: 100%;
  box-shadow: var(--shadow);
  z-index: 120;
}

#mobile-nav .menu-btn a {
  padding: .75em;
}

#cat-nav li {
  margin-left: 0;
}

@media screen and (min-width: 450px) {
  #cookies p.btn-zone > * {
    width: auto;
  }
  .message .btn-zone {
    justify-content: flex-start;
  }
}

/* §!!!!! MAX WIDTH!!! */
@media screen and (max-width : 1000px) {
  #plus-panel ul {
    font-size: 0.95em;
    margin-left: 1rem;
    border-left: solid 4px #FFF;
  }

  #plus-panel li {
    margin-left: 0;
  }

  #plus-panel a {
    color: var(--nav-text-color);
    display: block;
    margin: 0.5em;
    margin-left: -4px;
    padding: 0.5em;
    padding-left: 0.75rem;
    border-left: solid 4px #FFF;
  }
}

/**/

@media screen and (min-width: 1000px) {
  .message .btn-zone {
    flex-wrap: nowrap;
    justify-content: flex-end;
  }
}

@media screen and (min-width: 750px) {
  #main-nav {
      display: block;
      position: fixed;
      width: 300px;
      height: 100vh;
      padding-top: var(--nav-top-padd);
  }
  #main-nav ul{
      overflow-y: auto;
  }

  #mobile-nav .menu-btn {
    display: none;
  }

  .message {padding-bottom: 1rem;}
}

@media screen and (min-width: 1000px) {
  .mobile-panel {
    display: block;
  }

  .mobile-panel.open {
    all: unset;
  }

  #cat-nav {
    display: none;
  }

  #mobile-nav {
    display: none;
  }
  .message div.content {display: flex; justify-content: space-between;}
  #cookies .btn-zone {flex-basis: 50%;}
}

.review-btn {
  display: inline-block;
  width: fit-content;
  padding: 0.25em;
  margin: 0.25em 0;
}

@media screen and (min-width : 750px) {
  .review-btn {
    position: absolute;
    bottom: 1em;
    right: 0;
    margin: 0;
  }
}

/*containers-list*/
.containers-list {
  margin-top: 1em;
  display: flex;
  gap: .5em;
  flex-wrap: wrap;
}

/* value-list */
.value-list {
  margin-top: 1.5em;
}

.value-list div {
  display: flex;
  font-size: 0.9em;
  color: var(--brand-color-darker);
  padding-bottom: 1em;
}

.value-list dt {
  margin-right: 0.5em;
}

.value-list li {
  font-size : 100% ;
}

.value-list ul:not([class]) {
  margin : 0 0 0 1.5em ;
}

/*format*/
.format {
  padding-bottom: 1em;
}

.format dt {
  font-family: var(--stack-b);
  font-size: 1.3em;
  margin-bottom: 1em;
  margin-top: 1.5em;
}

/*filter zone*/
.filter-zone div {
  display: flex;
  flex-wrap: wrap;
}

.filter-zone p {
  min-width: 350px;
  margin-bottom: 0.5em;
}

.filter-zone legend {
  font-family: var(--stack-b);
  font-size: 1.3em;
  margin-bottom: 1em;
  margin-top: 1.5em;
}

.filter-zone label {
  display: block;
  font-family: var(--stack-b);
  margin-bottom: 0.25em;
}

.filter-zone input, .filter-zone select {
  width: 100%;
  max-width: 250px;
  padding: 0.25em;
}

#custom-form{
  padding : 1em;
  box-shadow: var(--shadow);
  width: 100%;
  min-height : 200px;
  margin-right:1em;
}
#custom-form legend{
  font-size: 1.3em;
  font-family: var(--stack-b);
  padding-bottom : 1em;
}
#custom-form fieldset:focus{
  outline-color : var(--brand-color-020);
}
#custom-form fieldset p{
  display: flex;
}
#custom-form label {
  font-size : 1.1em;
}
#custom-form label span{
  display: block;
  font-size : 1rem;
  color : var(--brand-color-darker);
}
#custom-form .btn-zone{
  display: flex;
  justify-content: flex-end;
  padding-top : 1em;
}
#custom-form .btn-zone * {
  border: solid 1px var(--dark-color);
  font-size: 1.2em;
  color: #FFF;
  background-color: var(--dark-color);
  border-radius: var(--radius);
  margin-left: 1em;
}
#custom-form #form-prev{
  background-color: #FFF;
  color: var(--dark-color);
}
.form-steps{
  display: flex;
  justify-content: space-between;
  flex-wrap: wrap;
  counter-reset: steps;
}
.form-steps li{
  padding: 1em;
  counter-increment: steps;
  display: flex;
  align-items: center;
  font-family: var(--stack-b);
}
.form-steps li::before {
  display: flex;
  align-items: center;
  justify-content: center;
  content: counter(steps);
  border: solid 1px var(--brand-color);
  color: var(--brand-color-darker);
  height: 3em;
  width: 3em;
  margin-right: 1em;
  border-radius: var(--radius);
}
.form-steps li[aria-current]::before{
  background : var(--brand-color);
  color : var(--dark-color);
}

.form-steps button{background-color : rgba(0,0,0,0)}
.form-steps button[disabled]{
  cursor: default;
  opacity : .75
}

#banner {
  line-height: 1.45;
  background-color: #FFEB78;
  padding: 1rem;
}

#banner a {
  font-family: var(--stack-b);
  color: #000;
  background-color: #FFEB78;
  text-decoration: underline;
}

#banner p + p {margin-top: 0.85em;}

/* Tutorials */

dl.tutos {
  display: flex;
  gap: 1rem;
  flex-wrap: wrap;
  justify-content: space-between;
  margin-bottom: 2rem;
}
  dl.tutos div {
    flex: 1 0 auto;
    text-align: center;
  }

  dl.tutos dt {
    font: 0.75em/1.2 var(--stack-b);
    text-transform: uppercase;
    padding: 0.25em 0;
    margin-bottom: 0.5em;
    border-top: 1px solid #CCC;
    border-bottom: 1px solid #CCC;
  }

.obsolete {
  background-color: #F2F2F2;
  border-left: solid 4px currentColor;
  padding: 0.5em;
  margin-bottom: 1em;
  position: relative;
}

.obsolete::before {
  content: 'Obsolete :';
  font-weight: bold;
}
.table-sort {
  cursor: pointer;
  padding-right: 20px;
}

.table-sort::after {
  content: "";
  position: absolute;
  top: 50%;
  right: 5px;
  width: 0;
  height: 0;
  border-style: solid;
  border-width: 4px 4px 0;
  border-color: #000 transparent transparent;
  opacity: 0.5;
}

.table-sort.asc::after {
  border-width: 0 4px 4px;
  border-color: transparent transparent #000;
  opacity: 1;
}

.table-sort.desc::after {
  border-width: 4px 4px 0;
  border-color: #000 transparent transparent;
  opacity: 1;
}

.samples-widget {
  overflow-y: scroll;
  max-height: 50vh;
}